package com.pcloud.book.copyright.dto;

import com.pcloud.common.dto.BaseDto;

import java.util.Date;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author lihao
 * @date 2019/9/3 17:02
 */
@ApiModel
public class CheckUserAuthDTO extends BaseDto {

    private static final long serialVersionUID = -2646713544720373882L;

    @ApiModelProperty("图书标识")
    private Long bookId;

    @ApiModelProperty("运营标识")
    private Long channelId;

    @ApiModelProperty("编辑标识")
    private Long adviserId;

    @ApiModelProperty("微信用户列表")
    private List<Long> wechatUserIds;

    public Long getBookId() {
        return bookId;
    }

    public void setBookId(Long bookId) {
        this.bookId = bookId;
    }

    public Long getChannelId() {
        return channelId;
    }

    public void setChannelId(Long channelId) {
        this.channelId = channelId;
    }

    public Long getAdviserId() {
        return adviserId;
    }

    public void setAdviserId(Long adviserId) {
        this.adviserId = adviserId;
    }

    public List<Long> getWechatUserIds() {
        return wechatUserIds;
    }

    public void setWechatUserIds(List<Long> wechatUserIds) {
        this.wechatUserIds = wechatUserIds;
    }

    @Override
    public String toString() {
        return "CheckUserAuthDTO{" +
                "bookId=" + bookId +
                ", channelId=" + channelId +
                ", adviserId=" + adviserId +
                ", wechatUserIds=" + wechatUserIds +
                '}';
    }
}
